using System;

namespace kvalifikacije1_2022_vage
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prvi = Console.ReadLine().Split();
            int n = int.Parse(prvi[0]);
            int m = int.Parse(prvi[1]);

            int i;

            int[] d = new int[n];
            int[] u = new int[n];

            int[] l = new int[m];
            int[] r = new int[m];
            int[] x = new int[m];

            int izlaz = 0;

            for (i = 0; i < n; i++)
            {
                string[] opseg = Console.ReadLine().Split();
                d[i] = int.Parse(opseg[0]);
                u[i] = int.Parse(opseg[1]);
            }
            for(i = 0; i < m; i++)
            {
                string[] pitanje = Console.ReadLine().Split();
                l[i] = int.Parse(pitanje[0]);
                r[i] = int.Parse(pitanje[1]);
                x[i] = int.Parse(pitanje[2]);
            }

            for (i = 0; i < m; i++)
            {
                izlaz = 0;
                for (int j = l[i] - 1; j < r[i]; j++)
                {
                    if ((x[i] >= d[j]) && (x[i] <= u[j]))
                    {
                        izlaz = izlaz + 1;
                    }
                }
                Console.WriteLine(izlaz);
            }
        }
    }
}